@PublicApi
public interface QueueService
Queue objects and their issues| Modifier and Type | Method and Description |
|---|---|
Queue |
addQueue(com.atlassian.jira.user.ApplicationUser user,
QueueCreateParameters queueCreateParameters)
Given the required QueueParameters create a new
Queue in the service desk project |
void |
deleteQueue(com.atlassian.jira.user.ApplicationUser user,
int serviceDeskId,
int queueId)
Delete
Queue for the given id |
int |
getQueueLimitForProject()
Gets the maximum number of queues allowed for a project
|
PagedResponse<Queue> |
getQueues(com.atlassian.jira.user.ApplicationUser user,
QueueQuery queueQuery)
Get a page of
Queue that satisfies the provided QueueQuery. |
PagedResponse<com.atlassian.jira.issue.Issue> |
getRequestsByQueue(com.atlassian.jira.user.ApplicationUser user,
QueueRequestQuery query)
Get a page of
Issue belonging to the specified Queue |
QueueCreateParameters.Builder |
newQueueCreateParameterBuilder(int serviceDeskId,
String queueName)
Get a new QueueCreateParameters builder.
|
QueueQuery.Builder |
newQueueQueryBuilder() |
QueueRequestQuery.Builder |
newQueueRequestQueryBuilder() |
QueueUpdateParameters.Builder |
newQueueUpdateParameterBuilder(int serviceDeskId,
int queueId)
Get a new QueueUpdateParameters builder.
|
List<Queue> |
reorderQueues(com.atlassian.jira.user.ApplicationUser user,
int serviceDeskId,
List<Integer> newQueueOrderId)
Reorder the list of
Queue for a given service desk |
Queue |
updateQueue(com.atlassian.jira.user.ApplicationUser user,
QueueUpdateParameters queueUpdateParameters)
Given the required QueueParameters update the
Queue in the service desk project. |
QueueQuery.Builder newQueueQueryBuilder()
QueueQuery.Builder instance to construct QueueQueryPagedResponse<Queue> getQueues(com.atlassian.jira.user.ApplicationUser user, QueueQuery queueQuery)
Queue that satisfies the provided QueueQuery.user - the user executing the requestqueueQuery - the query parameterQueueServiceDeskServiceException - on errorQueueRequestQuery.Builder newQueueRequestQueryBuilder()
QueueRequestQuery.Builder instance to construct QueueRequestQueryPagedResponse<com.atlassian.jira.issue.Issue> getRequestsByQueue(com.atlassian.jira.user.ApplicationUser user, QueueRequestQuery query)
Issue belonging to the specified Queueuser - the user executing the requestquery - the query parameterIssueServiceDeskServiceException - on errorint getQueueLimitForProject()
QueueCreateParameters.Builder newQueueCreateParameterBuilder(int serviceDeskId, @Nonnull String queueName)
serviceDeskId - The id of service desk for the queuequeueName - The name of the queueQueueCreateParameters.Builder instance to construct QueueCreateParametersQueueUpdateParameters.Builder newQueueUpdateParameterBuilder(int serviceDeskId, int queueId)
serviceDeskId - The service desk for the queuequeueId - The id of the queue to updateQueueUpdateParameters.Builder instance to construct QueueUpdateParametersQueue addQueue(@Nonnull com.atlassian.jira.user.ApplicationUser user, @Nonnull QueueCreateParameters queueCreateParameters)
Queue in the service desk projectuser - the user executing the requestqueueCreateParameters - the create parametersQueueServiceDeskServiceException - on errorQueue updateQueue(@Nonnull com.atlassian.jira.user.ApplicationUser user, @Nonnull QueueUpdateParameters queueUpdateParameters)
Queue in the service desk project.
All fields present in the update parameters will override existing values and if a field is not present it will be ignored.user - the user executing the requestqueueUpdateParameters - the new queue parametersQueueServiceDeskServiceException - on errorvoid deleteQueue(@Nonnull com.atlassian.jira.user.ApplicationUser user, int serviceDeskId, int queueId)
Queue for the given iduser - the user executing the requestserviceDeskId - the id of service deskqueueId - the id of the Queue to deleteServiceDeskServiceException - on errorList<Queue> reorderQueues(@Nonnull com.atlassian.jira.user.ApplicationUser user, int serviceDeskId, @Nonnull List<Integer> newQueueOrderId)
Queue for a given service deskuser - the user executing the requestserviceDeskId - the id of service desknewQueueOrderId - the new order of Queue id'sQueue's in the new orderServiceDeskServiceException - on errorCopyright © 2022 Atlassian. All rights reserved.